.item-tag {
    height: rem(38);
    font-weight: 500;
    line-height: 110%;
    font-size: rem(14);
    border-radius: 10px;
 //   white-space: nowrap;
    padding: rem(6) rem(14) rem(2) rem(14);
    backdrop-filter: blur(10px);
    background: rgba(255, 255, 255, 0.5);
    display: inline-flex;
    align-items: center;
    justify-content: center;

    &--white {
        background: rgba(255, 255, 255, 1);
    }
}

.event-item {
    height: 100%;
    overflow: hidden;
    position: relative;
    border-radius: 24px;
    box-shadow: 0px 4px 27px rgba(0, 0, 0, 0.05);

    &:before {
        top: 0;
        left: 0;
        right: 0;
        z-index: 5;
        content: '';
        height: rem(150);
        position: absolute;
        background: linear-gradient(180deg, rgba(1, 1, 1, 0.59) 0%, rgba(0, 0, 0, 0) 100%, rgba(0, 0, 0, 0) 100%);
    }

    &__image {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1;
        position: absolute;
    }

    &__main {
        z-index: 10;
        height: 100%;
        position: relative;
        min-height: rem(330);
        padding: rem(30) rem(20) rem(20) rem(20);
        display: flex;
        flex-direction: column;
    }

    &__title {
        color: $white;
        display: block;
        font-weight: 600;
        font-size: rem(24);
        line-height: rem(30);
        margin-bottom: rem(18);
        text-decoration: none;

        &:hover {
            color: $white;
            text-decoration: none;
        }
    }

    &__tags {
        max-width: rem(440);
        display: flex;
        flex-wrap: wrap;
        align-items: flex-start;

        > * {
            margin: 0 rem(5) rem(5) 0;
        }
    }

    &__buttons {
        flex-grow: 1;
        padding-top: rem(25);
        display: flex;
        align-items: flex-end;
    }

    &__button {

        &:first-child {
            margin-right: rem(5);
        }

        &--hide-sm {
            display: none;
        }
    }

    &__message {
        color: $black;
        top: rem(10);
        left: rem(10);
        right: rem(10);
        bottom: rem(10);
        z-index: 100;
        padding: rem(15);
        position: absolute;
        background: $white;
        border-radius: 24px;
        display: flex;
        flex-direction: column;

        .event-item {

            &__title {
                color: $dark;
                cursor: default;
                max-width: rem(400);
                margin-bottom: rem(5);
            }

            &__text {
                max-width: rem(400);
            }
        }
    }

    &__meta {
        padding: 0;
        opacity: 0.7;
        list-style: none;
        font-size: rem(14);
        line-height: rem(20);
        margin: 0 rem(-12) 0 0;
        white-space: nowrap;
        display: flex;
        flex-wrap: wrap;
        align-items: flex-start;
        flex-grow: 1;

        li {
            position: relative;
            margin-right: rem(12);
        }
    }

    &__text {
        margin-bottom: rem(10);
    }

    &--color {

        .event-item {

            &__image {

                &:before {
                    top: 0;
                    left: 0;
                    right: 0;
                    bottom: 0;
                    z-index: 1;
                    content: '';
                    position: absolute;
                    background: linear-gradient(0deg, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5))
                }
            }

            &__button {

                &:first-child {

                    .btn {
                        min-width: rem(180);
                    }
                }
            }
        }
    }

    @include media-breakpoint-up(md) {

        &__main {
            padding: rem(20);
            min-height: rem(344);
        }

        &__title {
            margin-bottom: rem(10);
        }

        &__tags {

            > * {
                margin: 0 rem(10) rem(10) 0;
            }
        }

        &__meta {

            li {
                margin-right: rem(16);

                &:not(:last-child) {

                    &:before {
                        top: calc(50% - 3px);
                        right: -9px;
                        width: 3px;
                        height: 3px;
                        content: '';
                        background: $black;
                        position: absolute;
                        border-radius: 50%;
                    }

                }
            }
        }

        &--static {

            .event-item {

                &__main {
                    min-height: rem(274);
                }
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &__image {
            -webkit-filter: grayscale(100%);
            -moz-filter: grayscale(100%);
            -ms-filter: grayscale(100%);
            -o-filter: grayscale(100%);
            filter: grayscale(100%);
            transition: .3s;
        }

        &:hover {

            .event-item {

                &__image {
                    -webkit-filter: grayscale(0%);
                    -moz-filter: grayscale(0%);
                    -ms-filter: grayscale(0%);
                    -o-filter: grayscale(0%);
                    filter: grayscale(0%);
                    transition: .3s;
                }
            }
        }

        &__button {

            &--hide-sm {
                display: block;
                margin-right: rem(6);
            }
        }

        &--static {

            .event-item {

                &__image {
                    -webkit-filter: grayscale(0%);
                    -moz-filter: grayscale(0%);
                    -ms-filter: grayscale(0%);
                    -o-filter: grayscale(0%);
                    filter: grayscale(0%);
                    transition: .3s;
                }
            }
        }

        &--color {

            .event-item {

                &__image {
                    -webkit-filter: grayscale(0%);
                    -moz-filter: grayscale(0%);
                    -ms-filter: grayscale(0%);
                    -o-filter: grayscale(0%);
                    filter: grayscale(0%);
                    transition: .3s;
                }
            }
        }
    }
}

.news-item {
    height: 100%;
    overflow: hidden;
    background: #EDF1F5;
    border-radius: 24px;
    display: flex;
    flex-direction: column;

    &__media {
        display: block;
        height: rem(192);
        position: relative;
    }

    &__tags {
        left: rem(10);
        right: rem(5);
        bottom: rem(10);
        z-index: 10;
        position: absolute;

        > * {
            margin: rem(5) rem(5) 0 0;
        }
    }

    &__content {
        font-weight: 500;
        padding: rem(16);
        font-size: rem(16);
        line-height: 140%;
        flex-grow: 1;
        display: flex;
        flex-direction: column;
    }

    &__title {
        flex-grow: 1;
        font-weight: 500;
        font-size: rem(18);
        line-height: 135%;
        margin-bottom: rem(15);

        a {
            color: $dark;
            text-decoration: none;

            &:hover {
                color: $dark;
                text-decoration: none;
            }
        }
    }

    &__link {

        a {
            color: $dark;
            text-decoration: underline;

            &:hover {
                color: $dark;
                text-decoration: none;
            }
        }
    }

    @include media-breakpoint-up(md) {

        &__media {
            height: rem(230);
        }

        &__content {
            min-height: rem(158);
            padding-bottom: rem(24);
        }

        &__title {
            margin-bottom: rem(36);
        }

        &__tags {
            left: rem(16);
            bottom: rem(16);

            > * {
                margin: rem(10) rem(10) 0 0;
            }
        }
    }
}

.video-item {
    height: 100%;
    color: $dark;
    overflow: hidden;
    background: $white;
    border-radius: 16px;
    text-decoration: none;

    &:hover {
        color: $dark;
        text-decoration: none;
    }

    &__media {
        display: block;
        position: relative;
    }

    &__image {
        z-index: 1;
        display: block;
        position: relative;
    }

    &__play {
        top: calc(50% - 1.75rem);
        left: calc(50% - 1.75rem);
        z-index: 10;
        width: rem(56);
        height: rem(56);
        position: absolute;
        display: inline-block;
    }

    &__text {
        padding: rem(16);
        font-weight: 500;
        font-size: rem(18);
        line-height: 135%;
        text-decoration: none;
    }

    &--gray {
        background: #EDF1F5;
    }

    @include media-breakpoint-up(md) {

        &__play {
            top: calc(50% - 2.25rem);
            left: calc(50% - 2.25rem);
            width: rem(72);
            height: rem(72);
        }

        &__text {
            padding: rem(24);
            font-size: rem(20);
            line-height: 140%;
        }
    }
}
